org.tmatesoft.svn.core

## Class SVNMergeInfo

- java.lang.Object
- - org.tmatesoft.svn.core.SVNMergeInfo

    public class SVNMergeInfo
    extends java.lang.Object

The `SVNMergeInfo` represents information about merges to a certain repository path.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Constructor Summary

Constructors
Constructor and Description
`SVNMergeInfo(java.lang.String path, java.util.Map<java.lang.String,SVNMergeRangeList> srcsToRangeLists)` Creates a new `SVNMergeInfo` object.

### Method Summary

Methods
`java.util.Map<java.lang.String,SVNMergeRangeList>` `getMergeSourcesToMergeLists()` Returns a hash mapping merge sources to merge range lists.
`java.lang.String` `getPath()` Returns the absolute repository path of the merge target.
`java.lang.String` `toString()` Returns a string representation of this object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SVNMergeInfo

    public SVNMergeInfo(java.lang.String path,
                java.util.Map<java.lang.String,SVNMergeRangeList> srcsToRangeLists)

Creates a new `SVNMergeInfo` object.

Parameters:
  `path` - absolute repository path of the merge target
  `srcsToRangeLists` - hash that maps merge sources to merge range lists (`String` to `SVNMergeRangeList`)

### Method Detail

#### getPath

    public java.lang.String getPath()

Returns the absolute repository path of the merge target.

Returns:
  merge target path

#### getMergeSourcesToMergeLists

    public java.util.Map<java.lang.String,SVNMergeRangeList> getMergeSourcesToMergeLists()

Returns a hash mapping merge sources to merge range lists. Keys are `String` paths, values - `SVNMergeRangeList` values.

Returns:
  mergeinfo of the `path`

#### toString

    public java.lang.String toString()

Returns a string representation of this object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  this object as a string